#include "main.h"

int main(){
   if(mylog_init()!=0){
       my_zlog_error("日志初始化失败，错误代码：%d",mylog_init());
       return -1;
   }

   if(wiringPiSetup() == -1) {
        my_zlog_fatal("WiringPi setup failed!");
        return -2;
   }

   if(wifi_change_sendmqtt_init()!=0){
      my_zlog_error("WIFI是否更改检查相关，不会到这一步，有问题会直接重启，可能会导致重启，不会因此造成程序停止");
   }

    if(device_id_file_init()!=0){
       my_zlog_error("设备id读取失败");
       return -3;
    }
    if(device_mqtt_topic_init()!=0){
      my_zlog_error("设备id判断失败");
       return -4;
    }

   if(request_date() !=0){
    my_zlog_error("请求数据失败");
       return -5;
    }

   if(softiic_init()!=0){
      my_zlog_error("软件iic初始化失败");
       return -6;
    }

   if(ina225_init()!=0){
      my_zlog_warn("此版本电压没有使用INA226");
   }
    
   int thread_rc=thread_start_init( thread_exit_time,thread_mqtt_beat,thread_open_browser,thread_mqtt_reconnect,thread_time_calculation,thread_play_mp3);
    
    thread_end_close();
    my_log_close();//关闭日志
    my_zlog_info("程序关闭成功");
    return 0;

}